# PumpBot: discordToken.json

{% hint style="success" %}
Only needed for the PumpBot and only needed if you want to use Discord Scraper!
{% endhint %}

## Enable the Developer Mode on Discord

To use the Discord API to scan the latest message you need to enable the Developer Mode on Discord. Below is a Link where it is explained how you can do it. You dont need to enter that when you only want to use the Telegram Detection Mode.

{% embed url="<https://techswift.org/2020/09/17/how-to-enable-developer-mode-in-discord>" %}
How to enable the Developer Mode in Discord
{% endembed %}

### The discordToken.json

Below you see the discordToken.json. Just insert your whole (yes, it is very long) Token within the qutation marks. And double check if it is really correct and nothing got cut off.&#x20;

```
{
  "userToken":"Your Discord User Token Here",
  "discordName": "PumpBotIsKing#0001 - your Discord User name here with the # and number"
}
```

## How to get your Token for Discord

The Token for Discord is not easy to find. The easiest way is to watch one of the two Youtube Videos below:

{% embed url="<https://www.youtube.com/watch?v=YEgFvgg7ZPI>" %}
How to create and find your Token for Discord
{% endembed %}

{% embed url="<https://www.youtube.com/watch?v=3W9tAEsK7RM>" %}
How to obtain your Discord User Token
{% endembed %}

## Get the channelId

The channelId is the Channel the PumpBot should listen to. Here is how to get the channelId. This is really easy to do. The first Option is to just "right click" the channel the PumpBot should listen to and copy the ID - see the video below.

{% embed url="<https://www.youtube.com/watch?v=NLWtSHWKbAI>" %}
How to get the channelId for Discord
{% endembed %}

You then only need to copy and paste your channelId into the configEXCHANGE.json - which will be explained on the next page.&#x20;

## Important

{% hint style="danger" %}
Your userToken can change over the time! Please update this regularly, like once every two month to be on the save side!
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pump-bot.com/crypto-bot-general/pumpbot-discordtoken-json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
